Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.discussion
Class MessageProperty

    java.lang.Object
      |
      +--com.compoze.discussion.MessageProperty

All Implemented Interfaces:
  com.compoze.common.IProperty, java.io.Serializable

public class MessageProperty
extends java.lang.Object
implements com.compoze.common.IProperty, java.io.Serializable

This class stores the values for the `Message` property tags. Unless you are working with property name, for example if you're working with sorting, you do not need to worry about these constants as their use is mostly abstracted away from the programmer.

The internationalizable string values are stored in the `discussion_resources.properties` file (accessed through `DiscussionResources`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static MessageProperty` | `APPROVAL_STATUS` This value represents the message property 'approval status'.
`static MessageProperty` | `AUTHOR` This value represents the message property 'author'.
`static MessageProperty` | `BODY` This value represents the message property 'body'.
`static MessageProperty` | `CONTENT_TYPE` This value represents the forum property 'content type'.
`static MessageProperty` | `CUSTOM_NUM1` This value represents the message property 'custom num 1'.
`static MessageProperty` | `CUSTOM_NUM2` This value represents the message property 'custom num 2'.
`static MessageProperty` | `CUSTOM_NUM3` This value represents the message property 'custom num 3'.
`static MessageProperty` | `CUSTOM_NUM4` This value represents the message property 'custom num 4'.
`static MessageProperty` | `CUSTOM_STR1` This value represents the message property 'custom str 1'.
`static MessageProperty` | `CUSTOM_STR2` This value represents the message property 'custom str 2'.
`static MessageProperty` | `CUSTOM_STR3` This value represents the message property 'custom str 3'.
`static MessageProperty` | `CUSTOM_STR4` This value represents the message property 'custom str 4'.
`static MessageProperty` | `DATE_CREATED` This value represents the message property 'date created'.
`static MessageProperty` | `DATE_LAST_MODIFIED` This value represents the message property 'date last modified'.
`static MessageProperty` | `FILE_ATTACHMENT_COUNT` This value represents the message property 'file attachment count'.
`static MessageProperty` | `KEYWORDS` This value represents the message property 'keywords'.
`static MessageProperty` | `MASK_AUTHOR` This value represents the message property 'mask author'.
`static MessageProperty` | `MESSAGE_COUNT` This value represents the message property 'message count'.
`static MessageProperty` | `SUBJECT` This value represents the message property 'name'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static MessageProperty` | `get(java.lang.String sName)` Gets the property by the name in the system default locale.
`static java.util.List` | `getList()` Gets the list of properties.
`java.lang.String` | `getName()` Gets the name of the property using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the property using the specified locale.
`java.lang.String` | `getStoreValue()` Gets the value that's used to store the property in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MASK_AUTHOR

    public static final MessageProperty MASK_AUTHOR

  This value represents the message property 'mask author'.

### APPROVAL_STATUS

    public static final MessageProperty APPROVAL_STATUS

  This value represents the message property 'approval status'.

### SUBJECT

    public static final MessageProperty SUBJECT

  This value represents the message property 'name'.

### BODY

    public static final MessageProperty BODY

  This value represents the message property 'body'.

### CONTENT_TYPE

    public static final MessageProperty CONTENT_TYPE

  This value represents the forum property 'content type'.

### KEYWORDS

    public static final MessageProperty KEYWORDS

  This value represents the message property 'keywords'.

### MESSAGE_COUNT

    public static final MessageProperty MESSAGE_COUNT

  This value represents the message property 'message count'.

### FILE_ATTACHMENT_COUNT

    public static final MessageProperty FILE_ATTACHMENT_COUNT

  This value represents the message property 'file attachment count'.

### DATE_CREATED

    public static final MessageProperty DATE_CREATED

  This value represents the message property 'date created'.

### DATE_LAST_MODIFIED

    public static final MessageProperty DATE_LAST_MODIFIED

  This value represents the message property 'date last modified'.

### AUTHOR

    public static final MessageProperty AUTHOR

  This value represents the message property 'author'.

### CUSTOM_NUM1

    public static final MessageProperty CUSTOM_NUM1

  This value represents the message property 'custom num 1'.

### CUSTOM_NUM2

    public static final MessageProperty CUSTOM_NUM2

  This value represents the message property 'custom num 2'.

### CUSTOM_NUM3

    public static final MessageProperty CUSTOM_NUM3

  This value represents the message property 'custom num 3'.

### CUSTOM_NUM4

    public static final MessageProperty CUSTOM_NUM4

  This value represents the message property 'custom num 4'.

### CUSTOM_STR1

    public static final MessageProperty CUSTOM_STR1

  This value represents the message property 'custom str 1'.

### CUSTOM_STR2

    public static final MessageProperty CUSTOM_STR2

  This value represents the message property 'custom str 2'.

### CUSTOM_STR3

    public static final MessageProperty CUSTOM_STR3

  This value represents the message property 'custom str 3'.

### CUSTOM_STR4

    public static final MessageProperty CUSTOM_STR4

  This value represents the message property 'custom str 4'.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the property using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the property using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public java.lang.String getStoreValue()

  Gets the value that's used to store the property in the storage system.
  Returns:
    the store value

### get

    public static MessageProperty get(java.lang.String sName)

  Gets the property by the name in the system default locale.
  Parameters:
    `sName` - the name in the system default locale
  Returns:
    the matching property or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of properties.
  Returns:
    the list of `MessageProperty`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.